Last Comment Bug 777582 - nsPrincipal deserializes members in wrong order
: nsPrincipal deserializes members in wrong order
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Security: CAPS (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla17
Assigned To: William Chen [:wchen]
:
Mentors:
Depends on:
Blocks: 758258
  Show dependency treegraph
 
Reported: 2012-07-25 17:10 PDT by William Chen [:wchen]
Modified: 2012-10-17 17:03 PDT (History)
4 users (show)
bzbarsky: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Make nsPrincipal deserialize members in the order that they are serialized. (1.07 KB, patch)
2012-07-25 17:13 PDT, William Chen [:wchen]
mounir: review+
Details | Diff | Splinter Review

Description William Chen [:wchen] 2012-07-25 17:10:42 PDT
The order in which members are deserialized do not match the order in which they are serialized.
Comment 1 William Chen [:wchen] 2012-07-25 17:13:02 PDT
Created attachment 645957 [details] [diff] [review]
Make nsPrincipal deserialize members in the order that they are serialized.
Comment 2 Boris Zbarsky [:bz] 2012-07-25 21:52:39 PDT
Is this a regression from bug 758258?

If so, we need to make sure we fix before this goes on Aurora (and in fact fix ASAP), since this presumably causes sessionstore dataloss...
Comment 4 William Chen [:wchen] 2012-07-26 09:48:22 PDT
(In reply to Boris Zbarsky (:bz) from comment #2)
> Is this a regression from bug 758258?
> 
> If so, we need to make sure we fix before this goes on Aurora (and in fact
> fix ASAP), since this presumably causes sessionstore dataloss...

Yes, this is a regression caused by bug 758258. Here in particular: http://hg.mozilla.org/mozilla-central/diff/04d93909f3de/caps/src/nsPrincipal.cpp
Comment 6 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 17:03:06 PDT
Flagging [qa-] as I don't think this needs QA verification. Please correct me if I am wrong.

Note You need to log in before you can comment on or make changes to this bug.